function [Z]=FTrozos(m,a,b)

% Esta funcin define una funcin a trozos en el intervalo (a,b)
%
% [Z]=Orden(m,a,b)
%
% Variables de entrada:
% m           Nmero de puntos en el que se va a obtener la funcin
% (a,b)       Intervalo en el que queremos calcular la reconstruccin
%
%
% Variables de salida:
% Z           Vector de las ordenadas de la funcin
%
% Ejemplo:
% [Z]=FTrozos(100,-10,10);


% Se calculan las abscisas equiespaciadas
X=linspace(a,b,m);

for i=1:m
    if X(i)>=-10 && X(i)<-4
        Z(i)=5*sin(X(i))+5;
    elseif X(i)>=-4 && X(i)<0
        Z(i)=X(i)^4-10*X(i)^2;
    elseif X(i)>=0 && X(i)<5
        Z(i)=X(i)^2+20;
    else
        Z(i)= 5*cos(X(i))-10;
    end
end


% Se dibujan los datos iniciales
%figure('Name','FUNCIN A TROZOS')
%plot(Z,'ob-','MarkerSize',3,'LineWidth',2);
%grid on
%xlabel('X'),ylabel('Z')
%title('FUNCIN A TROZOS')


end
