function phro=pesos_PPH_splines(y,h)

% Esta funcin genera los pesos propuestos (segn la reconstruccin
% local basada en PPH splines) para ser usados en el algoritmo de
% splines cbicos suavizantes
% phro=pesos_PPH_splines(y,h);
% Variables de entrada:
% y vector con las ordenadas correspondientes a las abscisas
% h espaciado entre las abscisas
% Variables de salida:
% phro vector de pesos


% nmero de datos con los que se cuenta
n=length(y);

% clculo de los pesos mu's asociados localmente

for i=1:n-3

    delta0=y(i)-2*y(i+1)+y(i+2);
    delta1=y(i+1)-2*y(i+2)+y(i+3);

    if delta0*delta1>0
        mu(i)=(delta0-delta1)^2*h^3/(2*delta0*delta1);
    elseif abs(delta0)<=10^(-15) & abs(delta1)<=10^(-15)
        mu(i)=10^15;
    else
        T=Traslacion(delta0,delta1);
        mu(i)=(delta0-delta1)^2*h^3/(2*delta0*delta1+T*(delta0+delta1));
    end

end

% clculo de los pesos phro que se utilizarn de manera global en los
% splines cbicos suavizantes

phro(1)=mu(1);
phro(2)=mu(2);
phro(3)=mu(3);

for i=4:n-3
    phro(i)=mu(i)+mu(i-3);
end

phro(n-2)=mu(n-5);
phro(n-1)=mu(n-4);
phro(n)=mu(n-3);



end